Package ghidra.app.util.bin.format.macho.prelink

# Class MachoPrelinkConstants

java.lang.Object
ghidra.app.util.bin.format.macho.prelink.MachoPrelinkConstants

public final class MachoPrelinkConstants extends Object
Taken from: http://www.opensource.apple.com/source/xnu/xnu-1456.1.26/libkern/libkern/prelink.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `kPrelinkBundlePathKey`
  `static final String`
  `kPrelinkExecutableKey`
  `static final String`
  `kPrelinkExecutableLoadKey`
  `static final String`
  `kPrelinkExecutableSizeKey`
  `static final String`
  `kPrelinkExecutableSourceKey`
  `static final String`
  `kPrelinkInfoDictionaryKey`
  `static final String`
  `kPrelinkInfoSection`
  `static final String`
  `kPrelinkInfoSegment`
  `static final String`
  `kPrelinkInterfaceUUIDKey`
  `static final String`
  `kPrelinkKernelLinkStateSection`
  `static final String`
  `kPrelinkKextsLinkStateSection`
  `static final String`
  `kPrelinkKmodInfoKey`
  `static final String`
  `kPrelinkLinkStateKey`
  `static final String`
  `kPrelinkLinkStateSizeKey`
  `static final String`
  `kPrelinkModuleIndexKey`
  `static final String`
  `kPrelinkPersonalitiesKey`
  `static final String`
  `kPrelinkSegment_iOS_1x`
  `static final String`
  `kPrelinkStateSegment`
  `static final String`
  `kPrelinkTextSection`
  `static final String`
  `kPrelinkTextSegment`
  `static final String`
  `TITLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MachoPrelinkConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TITLE

    public static final String TITLE
    See Also:
      - Constant Field Values

  - ### kPrelinkSegment_iOS_1x

    public static final String kPrelinkSegment_iOS_1x
    See Also:
      - Constant Field Values

  - ### kPrelinkTextSegment

    public static final String kPrelinkTextSegment
    See Also:
      - Constant Field Values

  - ### kPrelinkTextSection

    public static final String kPrelinkTextSection
    See Also:
      - Constant Field Values

  - ### kPrelinkStateSegment

    public static final String kPrelinkStateSegment
    See Also:
      - Constant Field Values

  - ### kPrelinkKernelLinkStateSection

    public static final String kPrelinkKernelLinkStateSection
    See Also:
      - Constant Field Values

  - ### kPrelinkKextsLinkStateSection

    public static final String kPrelinkKextsLinkStateSection
    See Also:
      - Constant Field Values

  - ### kPrelinkInfoSegment

    public static final String kPrelinkInfoSegment
    See Also:
      - Constant Field Values

  - ### kPrelinkInfoSection

    public static final String kPrelinkInfoSection
    See Also:
      - Constant Field Values

  - ### kPrelinkBundlePathKey

    public static final String kPrelinkBundlePathKey
    See Also:
      - Constant Field Values

  - ### kPrelinkExecutableKey

    public static final String kPrelinkExecutableKey
    See Also:
      - Constant Field Values

  - ### kPrelinkExecutableLoadKey

    public static final String kPrelinkExecutableLoadKey
    See Also:
      - Constant Field Values

  - ### kPrelinkExecutableSourceKey

    public static final String kPrelinkExecutableSourceKey
    See Also:
      - Constant Field Values

  - ### kPrelinkExecutableSizeKey

    public static final String kPrelinkExecutableSizeKey
    See Also:
      - Constant Field Values

  - ### kPrelinkInfoDictionaryKey

    public static final String kPrelinkInfoDictionaryKey
    See Also:
      - Constant Field Values

  - ### kPrelinkInterfaceUUIDKey

    public static final String kPrelinkInterfaceUUIDKey
    See Also:
      - Constant Field Values

  - ### kPrelinkKmodInfoKey

    public static final String kPrelinkKmodInfoKey
    See Also:
      - Constant Field Values

  - ### kPrelinkLinkStateKey

    public static final String kPrelinkLinkStateKey
    See Also:
      - Constant Field Values

  - ### kPrelinkLinkStateSizeKey

    public static final String kPrelinkLinkStateSizeKey
    See Also:
      - Constant Field Values

  - ### kPrelinkPersonalitiesKey

    public static final String kPrelinkPersonalitiesKey
    See Also:
      - Constant Field Values

  - ### kPrelinkModuleIndexKey

    public static final String kPrelinkModuleIndexKey
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MachoPrelinkConstants

    public MachoPrelinkConstants()